--- old/usr/src/man/man3c/tolower.3c	Tue Oct  6 20:48:03 2015
+++ new/usr/src/man/man3c/tolower.3c	Tue Oct  6 20:48:03 2015
@@ -4,7 +4,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH TOLOWER 3C "Jun 21, 2014"
+.TH TOLOWER 3C "Oct 4, 2015"
 .SH NAME
 tolower, tolower_l \- transliterate upper-case characters to lower-case
 .SH SYNOPSIS
@@ -21,7 +21,7 @@
 
 .SH DESCRIPTION
 .LP
-The \fBtolower()\fR function has as a domain a type \fBint\fR, the value of
+The \fBtolower()\fR function has as a domain of type \fBint\fR, the value of
 which is representable as an \fBunsigned char\fR or the value of \fBEOF\fR. If
 the argument has any other value, the argument is returned unchanged. If the
 argument of \fBtolower()\fR represents an upper-case letter, and there exists a
@@ -33,6 +33,11 @@
 The function \fBtolower_l()\fR behaves identically to \fBtolower()\fR, except
 instead of operating in the current locale, it operates in the locale
 specified by \fIloc\fR.
+.LP
+A macro form, \fB_tolower()\fR exists. It is defined for standards
+conformance, particularly with legacy standards. It was deprecated in
+POSIX 2008 (Issue 7), and its use is discouraged. The macro, on this
+system, is just an alias for \fBtolower()\fR.
 .SH RETURN VALUES
 .LP
 On successful completion, \fBtolower()\fR returns the lower-case letter
@@ -59,5 +64,5 @@
 
 .SH SEE ALSO
 .LP
-\fB_tolower\fR(3C), \fBnewlocale\fR(3C), \fBsetlocale\fR(3C),
+\fBnewlocale\fR(3C), \fBsetlocale\fR(3C),
 \fBuselocale\fR(3C), \fBattributes\fR(5), \fBstandards\fR(5)
--- old/usr/src/man/man3c/toupper.3c	Tue Oct  6 20:48:03 2015
+++ new/usr/src/man/man3c/toupper.3c	Tue Oct  6 20:48:03 2015
@@ -4,7 +4,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH TOUPPER 3C "Jun 21, 2014"
+.TH TOUPPER 3C "Oct 4, 2015"
 .SH NAME
 toupper, toupper_l \- transliterate lower-case characters to upper-case
 .SH SYNOPSIS
@@ -21,7 +21,7 @@
 
 .SH DESCRIPTION
 .LP
-The \fBtoupper()\fR function has as a domain a type \fBint\fR, the value of
+The \fBtoupper()\fR function has as a domain of type \fBint\fR, the value of
 which is representable as an \fBunsigned char\fR or the value of \fBEOF\fR. If
 the argument has any other value, the argument is returned unchanged. If the
 argument of \fBtoupper()\fR represents a lower-case letter, and there exists a
@@ -32,6 +32,11 @@
 The function \fBtoupper_l()\fR behaves identically to \fBtoupper()\fR, except
 instead of operating in the current locale, it operates in the locale
 specified by \fIloc\fR.
+.LP
+A macro form, \fB_toupper()\fR exists. It is defined for standards
+conformance, particularly with legacy standards. It was deprecated in
+POSIX 2008 (Issue 7), and its use is discouraged. The macro, on this
+system, is just an alias for \fBtoupper()\fR.
 .SH RETURN VALUES
 .LP
 On successful completion, \fBtoupper()\fR returns the upper-case letter
@@ -57,6 +62,6 @@
 
 .SH SEE ALSO
 .LP
-\fB_toupper\fR(3C), \fBnewlocale\fR(3C), \fBsetlocale\fR(3C),
+\fBnewlocale\fR(3C), \fBsetlocale\fR(3C),
 \fBuselocale\fR(3C),
 \fBattributes\fR(5), \fBstandards\fR(5)
